<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--

IGAC proyecto SNC
@author: Andres Eslava
  
CU-NP-FA-306

-->




<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Clasificar manzanas y áreas para levantamiento topográfico::.
    </ui:define>



    <ui:define name="content">

        <h:form id="novedadesReconocimiento">             
            <h:panelGrid columns="1">
                <h:outputLabel value="Manzanas para Ajuste"/>
                <p:spacer height="5" width="0" />
            </h:panelGrid>

            <h:panelGrid columns="2">                
                <p:commandButton value ="Manzana inicial"/>
                <p:commandButton value ="Manzana Final"/>
            </h:panelGrid>
            <p:spacer height="5" width="0" />
            <p:dataTable
                value="#{gestionaNovedadesDeReconocimiento.manzanasMunicipio}"
                var="manzanaVar" id="infoTable" paginator="true" rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                rowKey="" emptyMessage="No se encontraron manzanas"
                selection="#{gestionaNovedadesDeReconocimiento.manzanasSeleccionadas}">

                <p:column selectionMode="multiple" />

                <p:column headerText="Manzanas / Áreas" filterBy="" sortBy="">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{manzanaVar.codigo}">
                    </h:outputText>
                </p:column>
            </p:dataTable>
            <h:panelGrid columns="1">                
                <p:commandButton value ="Mostrar Selección"/>                        
                <h:outputLabel value ="Observaciones"/>
                <h:inputTextarea id="areaObservaciones" rows="5" cols="50"/>                            
            </h:panelGrid>
            <h:panelGrid columns="2">                
                <h:selectBooleanCheckbox id="nuevasAreasCheckBox" title ="Solicitar digitalización de nuevas áreas incorporadas." value="#{gestionaNovedadesDeReconocimiento.solicitudDigitalizacionNuevasAreas}"/>
                <h:outputText value="Solicitar digitalización de nuevas áreas incorporadas."/>
            </h:panelGrid>
        </h:form>  


    </ui:define>
</ui:composition>


